petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscHSetTGetElems

Get all entries from a hash table

### Synopsis

    #include <petsc/private/hashset.h>
    PetscErrorCode PetscHSetTGetElems(PetscHSetT ht,PetscInt *off,KeyType array[])

### Input Parameters

| ht | - The hash table
| off | - Input offset in array (usually zero)
| array | - Array where to put hash table entries into

### Output Parameter

| off | - Output offset in array (output offset = input offset + hash table size)
| array | - Array filled with the hash table entries

### Keywords

hash table, set, array

### See Also

PetscHSetTGetSize()

### Level

developer

### Location

include/petsc/private/hashset.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages